summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Peukert2020-06-02 00:13:52 +0200
committerDaniel Peukert2020-06-02 00:13:52 +0200
commit3340dd7a7fb77a0b07fbfc480d8f058febb1e053 (patch)
tree6387bedef91a18a453b9fb8a5ec0509f67e67057
parent855dd1fe4a23c717837d33f4cf2cbf07e661ef92 (diff)
downloadaur-3340dd7a7fb77a0b07fbfc480d8f058febb1e053.tar.gz
Updated janestreet packages
-rw-r--r--.SRCINFO51
-rw-r--r--PKGBUILD16
2 files changed, 33 insertions, 34 deletions
diff --git a/.SRCINFO b/.SRCINFO
index c1b7494a86c..d89f7f65676 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = ocaml-core_kernel
pkgdesc = Industrial strength alternative to OCaml's standard library (system-independent part)
- pkgver = 0.13.1
- pkgrel = 2
+ pkgver = 0.14.0
+ pkgrel = 1
epoch = 1
url = https://github.com/janestreet/core_kernel
arch = x86_64
@@ -11,31 +11,30 @@ pkgbase = ocaml-core_kernel
arch = armv7h
arch = aarch64
license = MIT
- makedepends = dune>=1.5.1
+ makedepends = dune>=2.0.0
depends = ocaml>=4.08.0
- depends = ocaml-base>=0.13.0
- depends = ocaml-base_bigstring>=0.13.0
- depends = ocaml-base_quickcheck>=0.13.0
- depends = ocaml-bin_prot>=0.13.0
- depends = ocaml-fieldslib>=0.13.0
- depends = ocaml-jane-street-headers>=0.13.0
- depends = ocaml-jst-config>=0.13.0
- depends = ocaml-ppx_assert>=0.13.0
- depends = ocaml-ppx_base>=0.13.0
- depends = ocaml-ppx_hash>=0.13.0
- depends = ocaml-ppx_inline_test>=0.13.0
- depends = ocaml-ppx_jane>=0.13.0
- depends = ocaml-ppx_sexp_conv>=0.13.0
- depends = ocaml-ppx_sexp_message>=0.13.0
- depends = ocaml-sexplib>=0.13.0
- depends = ocaml-splittable_random>=0.13.0
- depends = ocaml-stdio>=0.13.0
- depends = ocaml-time_now>=0.13.0
- depends = ocaml-typerep>=0.13.0
- depends = ocaml-variantslib>=0.13.0
- depends = ocaml-ppxlib>=0.9.0
+ depends = ocaml-base>=0.14.0
+ depends = ocaml-base_bigstring>=0.14.0
+ depends = ocaml-base_quickcheck>=0.14.0
+ depends = ocaml-bin_prot>=0.14.0
+ depends = ocaml-fieldslib>=0.14.0
+ depends = ocaml-jane-street-headers>=0.14.0
+ depends = ocaml-jst-config>=0.14.0
+ depends = ocaml-ppx_assert>=0.14.0
+ depends = ocaml-ppx_base>=0.14.0
+ depends = ocaml-ppx_hash>=0.14.0
+ depends = ocaml-ppx_inline_test>=0.14.0
+ depends = ocaml-ppx_jane>=0.14.0
+ depends = ocaml-ppx_sexp_conv>=0.14.0
+ depends = ocaml-ppx_sexp_message>=0.14.0
+ depends = ocaml-sexplib>=0.14.0
+ depends = ocaml-splittable_random>=0.14.0
+ depends = ocaml-stdio>=0.14.0
+ depends = ocaml-time_now>=0.14.0
+ depends = ocaml-typerep>=0.14.0
+ depends = ocaml-variantslib>=0.14.0
options = !strip
- source = ocaml-core_kernel-1:0.13.1-2.tar.gz::https://github.com/janestreet/core_kernel/archive/v0.13.1.tar.gz
- sha256sums = 2e9dec37cf1b1a05fa3ad24ae8efd1e389b82928d598db097771405da1d6b214
+ source = ocaml-core_kernel-1:0.14.0-1.tar.gz::https://github.com/janestreet/core_kernel/archive/v0.14.0.tar.gz
+ sha256sums = f191f320cce868930182f3f193ed515d0b17a3de4afdd60b300a46e6dbc773dd
pkgname = ocaml-core_kernel
diff --git a/PKGBUILD b/PKGBUILD
index a2d331ff3b0..9a80ffb226b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,35 +2,35 @@
# Contributor: Jakob Gahde <j5lx@fmail.co.uk>
_projectname='core_kernel'
pkgname="ocaml-$_projectname"
-pkgver='0.13.1'
-pkgrel='2'
+pkgver='0.14.0'
+pkgrel='1'
epoch='1'
pkgdesc="Industrial strength alternative to OCaml's standard library (system-independent part)"
arch=('x86_64' 'i686' 'arm' 'armv6h' 'armv7h' 'aarch64')
url="https://github.com/janestreet/$_projectname"
license=('MIT')
-depends=('ocaml>=4.08.0' 'ocaml-base>=0.13.0' 'ocaml-base_bigstring>=0.13.0' 'ocaml-base_quickcheck>=0.13.0' 'ocaml-bin_prot>=0.13.0' 'ocaml-fieldslib>=0.13.0' 'ocaml-jane-street-headers>=0.13.0' 'ocaml-jst-config>=0.13.0' 'ocaml-ppx_assert>=0.13.0' 'ocaml-ppx_base>=0.13.0' 'ocaml-ppx_hash>=0.13.0' 'ocaml-ppx_inline_test>=0.13.0' 'ocaml-ppx_jane>=0.13.0' 'ocaml-ppx_sexp_conv>=0.13.0' 'ocaml-ppx_sexp_message>=0.13.0' 'ocaml-sexplib>=0.13.0' 'ocaml-splittable_random>=0.13.0' 'ocaml-stdio>=0.13.0' 'ocaml-time_now>=0.13.0' 'ocaml-typerep>=0.13.0' 'ocaml-variantslib>=0.13.0' 'ocaml-ppxlib>=0.9.0')
-makedepends=('dune>=1.5.1')
+depends=('ocaml>=4.08.0' 'ocaml-base>=0.14.0' 'ocaml-base_bigstring>=0.14.0' 'ocaml-base_quickcheck>=0.14.0' 'ocaml-bin_prot>=0.14.0' 'ocaml-fieldslib>=0.14.0' 'ocaml-jane-street-headers>=0.14.0' 'ocaml-jst-config>=0.14.0' 'ocaml-ppx_assert>=0.14.0' 'ocaml-ppx_base>=0.14.0' 'ocaml-ppx_hash>=0.14.0' 'ocaml-ppx_inline_test>=0.14.0' 'ocaml-ppx_jane>=0.14.0' 'ocaml-ppx_sexp_conv>=0.14.0' 'ocaml-ppx_sexp_message>=0.14.0' 'ocaml-sexplib>=0.14.0' 'ocaml-splittable_random>=0.14.0' 'ocaml-stdio>=0.14.0' 'ocaml-time_now>=0.14.0' 'ocaml-typerep>=0.14.0' 'ocaml-variantslib>=0.14.0')
+makedepends=('dune>=2.0.0')
options=('!strip')
source=("$pkgname-$epoch:$pkgver-$pkgrel.tar.gz::$url/archive/v$pkgver.tar.gz")
-sha256sums=('2e9dec37cf1b1a05fa3ad24ae8efd1e389b82928d598db097771405da1d6b214')
+sha256sums=('f191f320cce868930182f3f193ed515d0b17a3de4afdd60b300a46e6dbc773dd')
_sourcedirectory="$_projectname-$pkgver"
build() {
cd "$srcdir/$_sourcedirectory/"
- dune build -p "$_projectname" --verbose
+ dune build --release --verbose
}
# fails because of a circular dependency on core
# check() {
# cd "$srcdir/$_sourcedirectory/"
-# dune runtest -p "$_projectname" --verbose
+# dune runtest --release --verbose
# }
package() {
cd "$srcdir/$_sourcedirectory/"
- DESTDIR="$pkgdir" dune install --prefix '/usr' --libdir 'lib/ocaml'
+ DESTDIR="$pkgdir" dune install --prefix '/usr' --libdir 'lib/ocaml' --release --verbose
install -dm755 "$pkgdir/usr/share/doc/$pkgname"
mv "$pkgdir/usr/doc/$_projectname/"* "$pkgdir/usr/share/doc/$pkgname/"